#
# spec file for package python-pyramid-mako
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%define skip_python2 1
Name:           python-pyramid-mako
Version:        1.1.0
Release:        3.17
Summary:        Mako template bindings for the Pyramid web framework
License:        BSD-3-Clause
Group:          Development/Languages/Python
URL:            https://github.com/Pylons/pyramid_mako
Source:         https://files.pythonhosted.org/packages/source/p/pyramid_mako/pyramid_mako-%{version}.tar.gz
Patch0:         pyramid2.patch
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-Mako >= 1.1.0
Requires:       python-pyramid >= 2.0
BuildArch:      noarch
# SECTION test requirements
BuildRequires:  %{python_module Mako >= 1.1.0}
BuildRequires:  %{python_module WebTest >= 1.3.1}
BuildRequires:  %{python_module pyramid >= 2.0}
# /SECTION
%python_subpackages

%description
Mako template bindings for the Pyramid web framework.

%prep
%setup -q -n pyramid_mako-%{version}
%autopatch -p1

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pyunittest discover -v

%files %{python_files}
%doc CHANGES.txt README.rst docs/*.rst
%license COPYRIGHT.txt LICENSE.txt CONTRIBUTORS.txt
%{python_sitelib}/*

%changelog
* Tue Aug  3 2021 Markéta Machová <mmachova@suse.com>
- Add pyramid2.patch for the compatibility with the new pyramid.
- Require pyramid 2 and skip python2 because of it.
* Thu Jun  3 2021 pgajdos@suse.com
- %%check: use %%pyunittest rpm macro
* Thu Sep 12 2019 Tomáš Chvátal <tchvatal@suse.com>
- Fix license
* Wed Sep 11 2019 John Vandenberg <jayvdb@gmail.com>
- Rename to python-pyramid-mako and integrate doc subpackage
- Update to v1.1.0
  * Add support for Python 3.5, 3.6, 3.7
  * Require ``mako >= 1.1.0``
  * Add config option preprocessor_wants_settings. If set to true,
    the preprocessor will be wrapped in a function that invokes the
    preprocessor with pyramid's config settings as the second argument
* Mon May 28 2018 bruno@ioda-net.ch
- Cleanup again with spec-cleaner (date,url,%%license)
* Thu Sep 14 2017 bruno@ioda-net.ch
- Move to singlespec (also documentation)
- Adapt Copyright year
* Tue Feb 14 2017 hpj@urpla.net
- Add BuildRoot to fix build on less forgiving targets
* Mon Jun 13 2016 toddrme2178@gmail.com
- Split documentation into subpackage to speed up build.
* Sun May  8 2016 arun@gmx.de
- specfile:
  * updated source url to files.pythonhosted.org
* Fri Aug 28 2015 bruno@ioda-net.ch
- Add packaging for python3
- Removed unexistant orderreddict deps for build
* Sun Aug  9 2015 hpj@urpla.net
- build and package docs separately
* Mon Jul 13 2015 toddrme2178@gmail.com
- Fix building on SLES 11
* Fri Feb  6 2015 hpj@urpla.net
- cleanup dependencies
- allow building with python 2.6 and ancient distributions
* Mon Dec 29 2014 mardnh@gmx.de
- initial package, version 1.0.2
